summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-astronomy/celestia
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-astronomy/celestia')
-rw-r--r--sci-astronomy/celestia/Manifest1
-rw-r--r--sci-astronomy/celestia/celestia-1.6.1-r1.ebuild121
-rw-r--r--sci-astronomy/celestia/files/celestia-1.5.0-desktop.patch55
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.0-cfg.patch11
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.1-gcc46.patch14
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.1-gcc47.patch22
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.1-libpng15.patch14
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.1-libpng16.patch25
-rw-r--r--sci-astronomy/celestia/files/celestia-1.6.1-linking.patch65
-rw-r--r--sci-astronomy/celestia/metadata.xml18
10 files changed, 346 insertions, 0 deletions
diff --git a/sci-astronomy/celestia/Manifest b/sci-astronomy/celestia/Manifest
new file mode 100644
index 00000000000..cd2abbcb386
--- /dev/null
+++ b/sci-astronomy/celestia/Manifest
@@ -0,0 +1 @@
+DIST celestia-1.6.1.tar.gz 52600436 SHA256 d35570ccb9440fc0bd3e73eb9b4c3e8a4c25f3ae444a13d1175053fa16dc34c4 SHA512 5b1221e97ee03f7def317e5e29c5100ebe714a4a3aeb8b9818dc9445e4282b6f87026ab35c7b3d5eb02fa6dbb33693977999d14d9648fc4e6d1947abe32a413f WHIRLPOOL b3a242261ca7e2006b3e08d4c11808669c939bae9237bd366012c3ca90756c5486ed544f2b18024d722ea78af257076b291fff7c3ab7eef1c9b9e2133435cc0c
diff --git a/sci-astronomy/celestia/celestia-1.6.1-r1.ebuild b/sci-astronomy/celestia/celestia-1.6.1-r1.ebuild
new file mode 100644
index 00000000000..05d3bf9d2df
--- /dev/null
+++ b/sci-astronomy/celestia/celestia-1.6.1-r1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WANT_AUTOMAKE="1.11"
+
+inherit eutils flag-o-matic gnome2 autotools
+
+DESCRIPTION="OpenGL 3D space simulator"
+HOMEPAGE="http://www.shatters.net/celestia/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="cairo gnome gtk nls pch theora threads"
+
+RDEPEND="
+ virtual/opengl
+ virtual/jpeg
+ media-libs/libpng:0=
+ <dev-lang/lua-5.2
+ gtk? ( !gnome? ( x11-libs/gtk+:2 >=x11-libs/gtkglext-1.0 ) )
+ gnome? (
+ x11-libs/gtk+:2
+ >=x11-libs/gtkglext-1.0
+ >=gnome-base/libgnomeui-2.0
+ )
+ !gtk? ( !gnome? ( media-libs/freeglut ) )
+ cairo? ( x11-libs/cairo )
+ theora? ( media-libs/libtheora )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ # Check for one for the following use flags to be set.
+ if use gnome; then
+ einfo "USE=\"gnome\" detected."
+ USE_DESTDIR="1"
+ CELESTIA_GUI="gnome"
+ elif use gtk; then
+ einfo "USE=\"gtk\" detected."
+ CELESTIA_GUI="gtk"
+ else
+ ewarn "If you want to use the full gui, set USE=\"{gnome|gtk}\""
+ ewarn "Defaulting to glut support (no GUI)."
+ CELESTIA_GUI="glut"
+ fi
+}
+
+src_prepare() {
+ # make better desktop files
+ epatch "${FILESDIR}"/${PN}-1.5.0-desktop.patch
+ # add a ~/.celestia for extra directories
+ epatch "${FILESDIR}"/${PN}-1.6.0-cfg.patch
+ # fix missing includes for gcc-4.6
+ epatch "${FILESDIR}"/${P}-gcc46.patch
+ # missing zlib.h include with libpng15
+ epatch "${FILESDIR}"/${P}-libpng15.patch \
+ "${FILESDIR}"/${P}-linking.patch
+
+ # gcc-47, #414015
+ epatch "${FILESDIR}"/${P}-gcc47.patch
+
+ # libpng16 #464764
+ epatch "${FILESDIR}"/${P}-libpng16.patch
+
+ # remove flags to let the user decide
+ local
+ for cf in -O2 -ffast-math \
+ -fexpensive-optimizations \
+ -fomit-frame-pointer; do
+ sed -i \
+ -e "s/${cf}//g" \
+ configure.in admin/* || die "sed failed"
+ done
+ # remove an unused gconf macro killing autoconf when no gnome
+ # (not needed without eautoreconf)
+ if ! use gnome; then
+ sed -i \
+ -e '/AM_GCONF_SOURCE_2/d' \
+ configure.in || die "sed failed"
+ fi
+ eautoreconf
+ filter-flags "-funroll-loops -frerun-loop-opt"
+
+ ### This version of Celestia has a bug in the font rendering and
+ ### requires -fsigned-char. We should be able to force this flag
+ ### on all architectures. See bug #316573.
+ append-flags "-fsigned-char"
+}
+
+src_configure() {
+ # force lua in 1.6.1. seems to be inevitable
+ econf \
+ --disable-rpath \
+ --with-${CELESTIA_GUI} \
+ --with-lua \
+ $(use_enable cairo) \
+ $(use_enable threads threading) \
+ $(use_enable nls) \
+ $(use_enable pch) \
+ $(use_enable theora)
+}
+
+src_install() {
+ if [[ ${CELESTIA_GUI} == gnome ]]; then
+ gnome2_src_install
+ else
+ emake DESTDIR="${D}" install
+ local size
+ for size in 16 22 32 48 ; do
+ insinto /usr/share/icons/hicolor/${size}x${size}/apps
+ newins "${S}"/src/celestia/kde/data/hi${size}-app-${PN}.png ${PN}.png
+ done
+ fi
+ [[ ${CELESTIA_GUI} == glut ]] && domenu celestia.desktop
+ dodoc AUTHORS README TRANSLATORS *.txt
+}
diff --git a/sci-astronomy/celestia/files/celestia-1.5.0-desktop.patch b/sci-astronomy/celestia/files/celestia-1.5.0-desktop.patch
new file mode 100644
index 00000000000..3e87692cc76
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.5.0-desktop.patch
@@ -0,0 +1,55 @@
+--- src/celestia/kde/data/celestia.desktop.orig 2008-02-27 15:19:41.000000000 +0000
++++ src/celestia/kde/data/celestia.desktop 2008-02-27 15:43:20.000000000 +0000
+@@ -1,8 +1,12 @@
+ [Desktop Entry]
++Encoding=UTF-8
++Version=1.0
+ Name=Celestia
+-Comment=Celestia
++Comment=3D space simulator to explore the universe
+ Exec=celestia %f
+ Terminal=false
+ Icon=celestia.png
+ MimeType=application/x-celestia-script
+ Type=Application
++Categories=Education;Science;Astronomy;Qt
++GenericName=Space Simulator
+--- src/celestia/gtk/data/celestia.desktop.orig 2008-02-27 15:19:58.000000000 +0000
++++ src/celestia/gtk/data/celestia.desktop 2008-02-27 15:44:26.000000000 +0000
+@@ -1,12 +1,12 @@
+ [Desktop Entry]
+ Encoding=UTF-8
+-Version=1.4.0
+-Type=Application
+-Exec=celestia
+-Icon=celestia
+-X-GNOME-DocPath=
+-Terminal=false
++Version=1.0
+ Name=Celestia
+-Comment=Space Simulator
+-StartupNotify=true
+-Categories=Astronomy;Science;Application;
++Comment=3D space simulator to explore the universe
++Exec=celestia %f
++Terminal=false
++Icon=celestia.png
++MimeType=application/x-celestia-script
++Type=Application
++Categories=Education;Science;Astronomy;GTK
++GenericName=Space Simulator
+--- celestia.desktop 1970-01-01 01:00:00.000000000 +0100
++++ celestia.desktop 2008-02-27 15:22:31.000000000 +0000
+@@ -0,0 +1,12 @@
++[Desktop Entry]
++Encoding=UTF-8
++Version=1.0
++Name=Celestia
++GenericName=Space Simulator
++Comment=Explore the Universe in this detailed space simulation
++Type=Application
++Categories=Education;Science;Astronomy
++Exec=celestia %f
++Terminal=false
++Icon=celestia.png
++MimeType=application/x-celestia-script
diff --git a/sci-astronomy/celestia/files/celestia-1.6.0-cfg.patch b/sci-astronomy/celestia/files/celestia-1.6.0-cfg.patch
new file mode 100644
index 00000000000..8a4c18143a9
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.0-cfg.patch
@@ -0,0 +1,11 @@
+--- celestia.cfg.orig 2009-07-20 12:52:17.000000000 +0200
++++ celestia.cfg 2009-07-20 12:52:43.000000000 +0200
+@@ -195,7 +195,7 @@
+ # or
+ # ExtrasDirectories [ "D:\\celestia-extras" ]
+ #------------------------------------------------------------------------
+- ExtrasDirectories [ "extras-standard" "extras" ]
++ ExtrasDirectories [ "extras-standard" "extras" "~/.celestia" ]
+
+
+ #------------------------------------------------------------------------
diff --git a/sci-astronomy/celestia/files/celestia-1.6.1-gcc46.patch b/sci-astronomy/celestia/files/celestia-1.6.1-gcc46.patch
new file mode 100644
index 00000000000..96967e36f9d
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.1-gcc46.patch
@@ -0,0 +1,14 @@
+http://bugs.gentoo.org/show_bug.cgi?id=366073
+http://celestia.svn.sourceforge.net/viewvc/celestia?view=revision&revision=5178
+
+Patch written by Nils Larsson <ni1s@nerdshack.com>
+--- src/celengine/frametree.h
++++ src/celengine/frametree.h
+@@ -14,6 +14,7 @@
+ #define _CELENGINE_FRAMETREE_H_
+
+ #include <vector>
++#include <cstddef>
+
+ class Star;
+ class Body;
diff --git a/sci-astronomy/celestia/files/celestia-1.6.1-gcc47.patch b/sci-astronomy/celestia/files/celestia-1.6.1-gcc47.patch
new file mode 100644
index 00000000000..385f39a2051
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.1-gcc47.patch
@@ -0,0 +1,22 @@
+diff -up celestia-1.6.1/src/celengine/frametree.h.gcc47 celestia-1.6.1/src/celengine/frametree.h
+--- celestia-1.6.1/src/celengine/frametree.h.gcc47 2012-03-22 12:56:56.096087430 -0400
++++ celestia-1.6.1/src/celengine/frametree.h 2012-03-22 12:57:04.333022427 -0400
+@@ -13,6 +13,7 @@
+ #ifndef _CELENGINE_FRAMETREE_H_
+ #define _CELENGINE_FRAMETREE_H_
+
++#include <unistd.h>
+ #include <vector>
+
+ class Star;
+diff -up celestia-1.6.1/src/celengine/planetgrid.cpp.gcc47 celestia-1.6.1/src/celengine/planetgrid.cpp
+--- celestia-1.6.1/src/celengine/planetgrid.cpp.gcc47 2012-03-22 12:53:01.496950513 -0400
++++ celestia-1.6.1/src/celengine/planetgrid.cpp 2012-03-22 12:53:08.812891865 -0400
+@@ -12,6 +12,7 @@
+
+ #include <cstdio>
+ #include <cmath>
++#include <celmath/mathlib.h>
+ #include <celmath/intersect.h>
+ #include "planetgrid.h"
+ #include "body.h"
diff --git a/sci-astronomy/celestia/files/celestia-1.6.1-libpng15.patch b/sci-astronomy/celestia/files/celestia-1.6.1-libpng15.patch
new file mode 100644
index 00000000000..5dffbab246e
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.1-libpng15.patch
@@ -0,0 +1,14 @@
+imagecapture.cpp:184:40: error: ‘Z_BEST_COMPRESSION’ was not declared in this scope
+
+--- src/celestia/imagecapture.cpp
++++ src/celestia/imagecapture.cpp
+@@ -31,6 +31,9 @@
+ #include "png.h"
+ #endif
+
++// Z_BEST_COMPRESSION
++#include <zlib.h>
++
+ // Define png_jmpbuf() in case we are using a pre-1.0.6 version of libpng
+ #ifndef png_jmpbuf
+ #define png_jmpbuf(png_ptr) png_ptr->jmpbuf
diff --git a/sci-astronomy/celestia/files/celestia-1.6.1-libpng16.patch b/sci-astronomy/celestia/files/celestia-1.6.1-libpng16.patch
new file mode 100644
index 00000000000..78911cb5575
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.1-libpng16.patch
@@ -0,0 +1,25 @@
+image.cpp:530:61: error: ‘memcpy’ was not declared in this scope
+
+https://bugs.gentoo.org/show_bug.cgi?id=464764
+
+Patch written by Lars Wendler <polynomial-c@gentoo.org>
+--- a/celestia/src/celengine/image.cpp
++++ b/celestia/src/celengine/image.cpp
+@@ -42,6 +42,7 @@ extern "C" {
+ #include "jpeglib.h"
+ #else
+ #include <cstdio>
++#include <string.h>
+ #include <jpeglib.h>
+ #endif
+ }
+--- a/celestia/src/celengine/texture.cpp
++++ b/celestia/src/celengine/texture.cpp
+@@ -28,6 +28,7 @@
+ #include <cstdlib>
+ #include <cstdio>
+ #include <cassert>
++#include <string.h>
+
+ #ifndef _WIN32
+ #ifndef TARGET_OS_MAC
diff --git a/sci-astronomy/celestia/files/celestia-1.6.1-linking.patch b/sci-astronomy/celestia/files/celestia-1.6.1-linking.patch
new file mode 100644
index 00000000000..dd5f93e609a
--- /dev/null
+++ b/sci-astronomy/celestia/files/celestia-1.6.1-linking.patch
@@ -0,0 +1,65 @@
+Fix linking issues:
+ * underlinking GLUT (bug #372123, #387609)
+ * as-needed (bug #281258)
+ * theora with glut (bug #399237)
+
+--- a/src/celestia/Makefile.am
++++ b/src/celestia/Makefile.am
+@@ -7,14 +7,15 @@
+
+ if ENABLE_KDE
+ SUBDIRS += kde
+-celestiaKDELIBS = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KFILE) \
+- $(LIBSOCKET) -lDCOP kde/libkdegui.a
++celestiaKDELIBS = kde/libkdegui.a
+ celestia_LDFLAGS = $(all_libraries) $(KDE_RPATH)
++LIBS += $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KFILE) $(LIBSOCKET) -lDCOP
+ endif
+
+ if ENABLE_GTK
+ SUBDIRS += gtk
+-celestiaGTKLIBS = $(GTK_LIBS) gtk/libgtkgui.a
++celestiaGTKLIBS = gtk/libgtkgui.a
++LIBS += $(GTK_LIBS)
+ endif
+
+ COMMONSOURCES = \
+@@ -62,6 +63,7 @@
+
+ if ENABLE_GLUT
+ GLUTSOURCES = glutmain.cpp
++GLUTLIBS = -lGL
+ endif
+
+ if ENABLE_THEORA
+@@ -80,15 +82,16 @@
+ celestia_LDADD = \
+ $(celestiaKDELIBS) \
+ $(celestiaGTKLIBS) \
+- $(DL_LIBS) \
+- $(LUA_LIBS) \
+- $(THEORA_LIBS) \
+ ../celengine/libcelengine.a \
+ ../celtxf/libceltxf.a \
+ ../cel3ds/libcel3ds.a \
+ ../celmath/libcelmath.a \
+ ../celutil/libcelutil.a \
+- $(SPICE_LIBS)
++ $(LUA_LIBS) \
++ $(THEORA_LIBS) \
++ $(GLUTLIBS) \
++ $(SPICE_LIBS) \
++ $(DL_LIBS)
+
+ noinst_HEADERS = $(wildcard *.h)
+ noinst_DATA = ../../celestia
+--- a/configure.in
++++ b/configure.in
+@@ -252,6 +252,7 @@
+ dnl Check for GLUT.
+ AC_CHECK_LIB(glut, glutKeyboardUpFunc, ,
+ [AC_MSG_ERROR([GLUT library version >= 3.7 not found])])
++ check_theora="yes"
+ fi
+ AM_CONDITIONAL(ENABLE_GLUT, test "$ui_glut" = "yes")
+
diff --git a/sci-astronomy/celestia/metadata.xml b/sci-astronomy/celestia/metadata.xml
new file mode 100644
index 00000000000..af1f62b7529
--- /dev/null
+++ b/sci-astronomy/celestia/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-astronomy</herd>
+ <longdescription lang="en">
+ Celestia is a real-time space simulation that lets you experience
+ our universe in three dimensions. You can travel throughout the solar
+ system, to any of over 100,000 stars, or beyond the galaxy. All
+ travel in Celestia is seamless; the exponential zoom feature lets you
+ explore space across a range of scales, from galaxy clusters down
+ to spacecraft a few meters across. A 'point-and-goto' interface
+ is used to navigate through the universe to the object you
+ want to visit.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">celestia</remote-id>
+ </upstream>
+</pkgmetadata>